export const spCampaignMetricsEnum = [
  {label: '曝光量', value: 'Impression'},
  {label: '点击量', value: 'Click'},
  {label: '花费', value: 'Spend'},
  {label: '订单量', value: 'TotalPurchases'},
  {label: '销售额', value: 'TotalSales'},
  {label: '销量', value: 'TotalUnitOrdered'},
  {label: '点击率', value: 'CTR'},
  {label: '点击成本', value: 'CPC'},
  {label: '转化率', value: 'PurchasesRate'},
  {label: 'ACOS', value: 'ACOS'},
  {label: 'ROAS', value: 'ROAS'},
  {label: '订单成本', value: 'CPA'},
  {label: '推广商品销售额', value: 'TotalSalesSameSKU'},
  {label: '其它商品销售额', value: 'TotalSalesOtherSKU'},
  {label: '推广商品订单量', value: 'TotalPurchasesSameSKU'},
  {label: '其它商品订单量', value: 'TotalPurchasesOtherSKU'},
  {label: '推广商品销量', value: 'TotalUnitOrderedSameSKU'},
  {label: '其它商品销量', value: 'TotalUnitOrderedOtherSKU'},
]

export const sbCampaignMetricsEnum = [
  {label: '曝光量', value: 'Impression'},
  {label: '点击量', value: 'Click'},
  {label: '花费', value: 'Spend'},
  {label: '订单量', value: 'TotalPurchases'},
  {label: '销售额', value: 'TotalSales'},
  {label: '销量', value: 'TotalUnitOrdered'},
  {label: '点击率', value: 'CTR'},
  {label: '点击成本', value: 'CPC'},
  {label: '转化率', value: 'PurchasesRate'},
  {label: 'ACOS', value: 'ACOS'},
  {label: 'ROAS', value: 'ROAS'},
  {label: '订单成本', value: 'CPA'},
  {label: '推广商品销售额', value: 'TotalSalesSameSKU'},
  {label: '其它商品销售额', value: 'TotalSalesOtherSKU'},
  {label: '推广商品订单量', value: 'TotalPurchasesSameSKU'},
  {label: '其它商品订单量', value: 'TotalPurchasesOtherSKU'},
  {label: '推广商品销量', value: 'TotalUnitOrderedSameSKU'},
  {label: '其它商品销量', value: 'TotalUnitOrderedOtherSKU'},
  {label: '详情页浏览次数', value: 'DPV'},
  {label: '详情页浏览率', value: 'DPVR'},
  {label: '新客订单数', value: 'NTBOrder'},
  {label: '新客订单占比', value: 'NTBOrderRate'},
  {label: '新客销售额', value: 'NTBSales'},
  {label: '新客销售占比', value: 'NTBSalesRate'},
  {label: '新客销量', value: 'NTBUnitOrdered'},
  {label: '新客销量占比', value: 'NTBUnitOrderedRate'},
  {label: '浏览点击率', value: 'VCTR'},
  {label: '可见曝光率', value: 'VIR'},
  {label: '浏览率', value: 'VTR'},
  {label: '播放5秒或完成数占比', value: 'Video5SecondViewRate'},
  {label: '播放5秒或完成数', value: 'Video5SecondViews'},
  {label: '视频播放25%', value: 'VideoFirstQuartileViews'},
  {label: '视频播放50%', value: 'VideoMidpointViews'},
  {label: '视频播放75%', value: 'VideoThirdQuartileViews'},
  {label: '视频播放100%', value: 'VideoCompleteViews'},
  {label: '视频取消静音数', value: 'VideoUnmutes'},
  {label: '可见曝光量', value: 'ViewableImpression'},
]

export const spCampaignPuchasedOtherProductsMetricsEnum = [
  {label: '其它商品订单数', value: 'TotalPurchasesOtherSKU'},
  {label: '其它商品销售额', value: 'TotalSalesOtherSKU'},
  {label: '其它商品销量', value: 'TotalUnitOrderedOtherSKU'},
  {label: '其它商品订单数占比', value: 'PurchasesOtherSKURate'},
  {label: '其它商品销售额占比', value: 'SalesOtherSKURate'},
  {label: '其它商品销量占比', value: 'UnitOrderedOtherSKURate'},
]

export const dynBidStrategyEnum = [
  {label: '动态竞价-仅降低', value: 'LEGACY_FOR_SALES', color: ''},
  {label: '动态竞价-提高和降低', value: 'AUTO_FOR_SALES', color: 'success'},
  {label: '固定竞价', value: 'MANUAL', color: 'warning'}
]

export const dynBidOptimizationEnum = [
  {label: '自动竞价', value: 1, color: 'success'},
  {label: '自定义竞价', value: 0, color: 'warning'}
]

export const dynStatusEnum = {
    'ENABLED' : '投放中',
    'DISABLED' : '禁用'
  }
export const targetTypeEnum = {
  'PRODUCT_COLLECTION': '商品集',
  'VIDEO': '视频',
  'BRAND_VIDEO': '品牌视频',
  'STORE_SPOTLIGHT': '店铺关注(STORE_SPOTLIGHT)'
}

export const spCampaignPlacementEnum = [
  {label: '搜索结果顶部', value: 'top'},
  {label: '商品页面', value: 'product_page'},
  {label: '搜索结果的其余位置', value: 'rest_of_search'},
]

export const sbCampaignPlacementEnum = [
  {label: '详细信息首页', value: 'Detail Page on-Amazon'},
  {label: '其他页面', value: 'Other on-Amazon'},
  {label: '顶部搜索', value: 'Top of Search on-Amazon'},
  {label: '首页', value: 'Homepage on-Amazon'},
]

export const spCampaignStateEnum = [
  {label: '投放中', value: 'ENABLE'},
  {label: '已暂停', value: 'PAUSED'},
  {label: '已归档', value: 'ARCHIVED'},
  // { label: '', value: 'ENABLING' },
  // { label: '', value: 'USER_DELETED' },
  {label: '其它', value: 'OTHER'},
]

export const spCampaignServingStatusEnum = [
  {label: '投放中', value: 'CAMPAIGN_STATUS_ENABLED'},
  {label: '已暂停', value: 'CAMPAIGN_PAUSED'},
  {label: '已归档', value: 'CAMPAIGN_ARCHIVED'},
  {label: '超出预算', value: 'CAMPAIGN_OUT_OF_BUDGET'},
  // { label: '', value: '' },
  // { label: '', value: '' },
  // { label: '', value: '' },
  // { label: '', value: '' },
  // { label: '', value: '' },
  // { label: '', value: '' },
  // { label: '', value: '' },
  // { label: '', value: '' },
  // { label: '', value: '' },
  // { label: '', value: '' }
]

export const metricMap = {
  'Spend': '花费',
  'TotalSales': '销售额',
  'TotalPurchases': '订单数',
  'TotalUnitOrdered': '销量',
  'Impression': '曝光量',
  'Click': '点击量',
}

export const barOptionsMap = {
  'ACOS': 'ACOS',
  'ROAS': 'ROAS',
  'Spend': '花费',
  'TotalSales': '销售额',
  'TotalPurchases': '订单数',
  'TotalUnitOrdered': '销量',
  'CPC': '点击成本',
  'CPA': '订单成本',
  'Impression': '曝光量',
  'Click': '点击量',
  'CTR': '点击率',
  'PurchasesRate': '转化率',
  'TotalSalesSameSKU': '推广商品销售额',
  'TotalSalesOtherSKU': '其他商品销售额',
  'TotalPurchasesSameSKU': '推广商品订单数',
  'TotalPurchasesOtherSKU': '其他商品订单数',
  'TotalUnitOrderedSameSKU': '推广商品销量',
  'TotalUnitOrderedOtherSKU': '其他商品销量',
  'TopOfSearchImpressionShare': '搜索结果顶部展示份额'
}

export const TargetExpressionEnum = [
  { label: '类目', value: 'ASIN_CATEGORY_SAME_AS' },
  { label: '品牌', value: 'ASIN_BRAND_SAME_AS' },
  { label: '价格小于', value: 'ASIN_PRICE_LESS_THAN' },
  { label: '价格区间', value: 'ASIN_PRICE_BETWEEN' },
  { label: '价格大于', value: 'ASIN_PRICE_GREATER_THAN' },
  { label: '评分小于', value: 'ASIN_REVIEW_RATING_LESS_THAN' },
  { label: '评分区间', value: 'ASIN_REVIEW_RATING_BETWEEN' },
  { label: '评分大于', value: 'ASIN_REVIEW_RATING_GREATER_THAN' },
  { label: 'ASIN', value: 'ASIN_SAME_AS' },
  // { label: '', value: 'ASIN_IS_PRIME_SHIPPING_ELIGIBLE' },
  // { label: '', value: 'ASIN_AGE_RANGE_SAME_AS' },
  // { label: '', value: 'ASIN_GENRE_SAME_AS' },
  // { label: '', value: 'ASIN_EXPANDED_FROM' },
  { label: '其它', value: 'OTHER' },
]

export const barOptions1 = [
  {
    value: 'ACOS',
    label: 'ACOS',
  },
  {
    value: 'ROAS',
    label: 'ROAS',
  },
  {
    value: 'Spend',
    label: '花费',
    units: '$',
  },
  {
    value: 'TotalSales',
    label: '销售额',
  },
  {
    value: 'TotalPurchases',
    label: '订单数',
  },
  {
    value: 'TotalUnitOrdered',
    label: '销量',
  },
  {
    value: 'CPC',
    label: '点击成本'
  },
  {
    value: 'CPA',
    label: '订单成本'
  },
  {
    value: 'Impression',
    label: '曝光量',
  },
  {
    value: 'Click',
    label: '点击量',
  },
  {
    value: 'qwe',
    label: '点击率'
  },
  {
    value: '转化率',
    label: '转化率'
  },
  {
    value: 'TotalSalesSameSKU',
    label: '推广商品销售额'
  },
  {
    value: 'TotalSalesOtherSKU',
    label: '其他商品销售额'
  },
  {
    value: 'TotalPurchasesSameSKU',
    label: '推广商品订单数'
  },
  {
    value: 'TotalPurchasesOtherSKU',
    label: '其他商品订单数'
  },
  {
    value: 'TotalUnitOrderedSameSKU',
    label: '推广商品销量'
  },
  {
    value: 'TotalUnitOrderedOtherSKU',
    label: '其他商品销量'
  },
  {
    value: 'TopOfSearchImpressionShare',
    label: '搜索结果顶部展示份额'
  },
]

export const barOptions2 = [
  {
    value: 'ACOS',
    label: 'ACOS',
  },
  {
    value: 'ROAS',
    label: 'ROAS',
  },
  {
    value: 'Spend',
    label: '花费',
    units: '$',
  },
  {
    value: 'TotalSales',
    label: '销售额',
  },
  {
    value: 'TotalPurchases',
    label: '订单数',
  },
  {
    value: 'TotalUnitOrdered',
    label: '销量',
  },
  {
    value: 'CPC',
    label: '点击成本'
  },
  {
    value: 'CPA',
    label: '订单成本'
  },
  {
    value: 'Impression',
    label: '曝光量',
  },
  {
    value: 'Click',
    label: '点击量',
  },
  {
    value: 'qwe',
    label: '点击率'
  },
  {
    value: '转化率',
    label: '转化率'
  },
  {
    value: 'TotalSalesSameSKU',
    label: '推广商品销售额'
  },
  {
    value: 'TotalSalesOtherSKU',
    label: '其他商品销售额'
  },
  {
    value: 'TotalPurchasesSameSKU',
    label: '推广商品订单数'
  },
  {
    value: 'TotalPurchasesOtherSKU',
    label: '其他商品订单数'
  },
  {
    value: 'TotalUnitOrderedSameSKU',
    label: '推广商品销量'
  },
  {
    value: 'TotalUnitOrderedOtherSKU',
    label: '其他商品销量'
  },
  {
    value: 'TopOfSearchImpressionShare',
    label: '搜索结果顶部展示份额'
  },
]

export const pieOptions = [
  {
    value: 'Spend',
    label: '花费',
  },
  {
    value: 'TotalSales',
    label: '销售额',
  },
  {
    value: 'TotalPurchases',
    label: '订单数',
  },
  {
    value: 'TotalUnitOrdered',
    label: '销量',
  },
  {
    value: 'Impression',
    label: '曝光量',
  },
  {
    value: 'Click',
    label: '点击量',
  },
]
